for i in $(seq 3 4); do
  data_types=("Assist17" "EdNet-1" "Junyi" "XES3G5M" )
  batch_sizes=(4096 4096 4096 4096)
   epoch=(12 12 12 12)
   keep_prob=(1.0 1.0 1.0 1.0)
   lr=(4e-3 4e-3 4e-3 4e-3)
   weight_decay=(0 0 0 0)
   ssl_temp=(3 3 3 3)
   ssl_weight=(3e-3 3e-3 3e-3 3e-3)
   flip_ratio=(0.05 0.05 0.05 0.05)
    for j in ${!data_types[@]}; do
      for gnn in 10 20; do
    python exp_sscdf.py --exp_type=gnn --method=sscdf --if_type=kancd --data_type=${data_types[j]} --ssl_temp=${ssl_temp[j]}  --ssl_weight=${ssl_weight[j]}  --flip_ratio=${flip_ratio[j]}   --test_size=0.2 --seed=$i --batch_size=${batch_sizes[j]} --device=cuda:0 --gcn_layers=$gnn --epoch=${epoch[j]}  --keep_prob=${keep_prob[j]}  --lr=${lr[j]} --weight_decay=${weight_decay[j]}
    python exp_sscdf.py --exp_type=gnn  --method=sscdf --if_type=ncd --data_type=${data_types[j]} --ssl_temp=${ssl_temp[j]}  --ssl_weight=${ssl_weight[j]}  --flip_ratio=${flip_ratio[j]}  --test_size=0.2 --seed=$i --batch_size=${batch_sizes[j]} --device=cuda:0 --gcn_layers=$gnn --epoch=${epoch[j]}  --keep_prob=${keep_prob[j]}  --lr=${lr[j]} --weight_decay=${weight_decay[j]}
      done
   done
done
